API reference
DEVELOPER PLATFORM · v1

An API you can build with

CRM, campaigns, analytics and integrations. Exact contracts, practical examples and signed webhooks.

Download OpenAPI

Private preview: use a project API key. Public SLA and support windows have not been established yet.

POST

Create Developer Crm Deal

/api/v1/developer/crm/deals

Use the access scope below. The generated schemas specify the exact request and responses.

Access scopecrm.deals.write

Authorization: Bearer YOUR_PROJECT_TOKEN

Parameters

idempotency-keyrequired · header

stringpattern: "^[A-Za-z0-9][A-Za-z0-9._:-]{7,159}$"

JSON Schema
{
  "type": "string",
  "pattern": "^[A-Za-z0-9][A-Za-z0-9._:-]{7,159}$"
}

Request body

application/json

object

contactIdrequired
stringminLength: 1 · maxLength: 160
responsibleIdentityIdrequired
stringminLength: 1 · maxLength: 160
titlerequired
stringminLength: 1 · maxLength: 240
organizationId
stringminLength: 1 · maxLength: 160
tags
arraymaxItems: 50
Nested schema

arraymaxItems: 50

stringminLength: 1 · maxLength: 80

JSON Schema
{
  "type": "string",
  "minLength": 1,
  "maxLength": 80
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "string",
    "minLength": 1,
    "maxLength": 80
  },
  "maxItems": 50
}
budgetMinor
integerminimum: 0 · maximum: 9000000000000
expectedCloseDate
string | nullformat: "date"
pipelineId
stringminLength: 1 · maxLength: 160
stageId
stringminLength: 1 · maxLength: 160
JSON Schema
{
  "type": "object",
  "properties": {
    "contactId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "responsibleIdentityId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "title": {
      "type": "string",
      "minLength": 1,
      "maxLength": 240
    },
    "organizationId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1,
        "maxLength": 80
      },
      "maxItems": 50
    },
    "budgetMinor": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9000000000000
    },
    "expectedCloseDate": {
      "type": [
        "string",
        "null"
      ],
      "format": "date"
    },
    "pipelineId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "stageId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    }
  },
  "required": [
    "contactId",
    "responsibleIdentityId",
    "title"
  ],
  "additionalProperties": false,
  "$ref": "#/components/schemas/CreateDeveloperCrmDealRequest"
}

Request examples

curl --request POST   'https://YOUR_NOVA_HOST/api/v1/developer/crm/deals'   --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'   --header 'Idempotency-Key: YOUR_UNIQUE_COMMAND_ID'   --header 'Content-Type: application/json'   --data '{"contactId":"CLIENT_ID","responsibleIdentityId":"MEMBER_ID","title":"Новая сделка"}'

Responses

201 Created CRM deal receipt
application/json

object

resourceIdrequired
stringminLength: 1 · maxLength: 160
changedrequired
boolean
JSON Schema
{
  "type": "object",
  "properties": {
    "resourceId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "changed": {
      "type": "boolean"
    }
  },
  "required": [
    "resourceId",
    "changed"
  ],
  "$ref": "#/components/schemas/DeveloperMutationResponse"
}
400 Invalid deal command or idempotency key
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
401 Invalid developer credential
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
404 CRM deal reference not found
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
409 Idempotency key conflict
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
429 Developer API rate limit exceeded
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
503 Developer API rate limiter unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titlerequired
string
statusrequired
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}